#!/usr/bin/python
import cgi
import menu
import re
import sys

def header(title):
  header = "Content-type: text/html\n\n"
  header = header + """<html>
  <head><title>""" + title + """</title></head>
  <body><h1>""" + title + '</h1>'

  # add modified search code here
  header = header + """
      <form action='input.py' method='POST'>
      <label for='name'>Name:</label>
      <input type='text' name='itemName' id='name' size='30'/><br />
      <label for='description'>Description:</label>
      <input type='text' name='itemDescription' id='description' size='30'/><br />
      <label for='price'>Price:</label>
      <input type='text' name='price' id='price' size='6'/><br />
      <input type='submit'/><input type='reset'/>
      </form>
  """

  return header

def footer():
  return "</body></html>"

if __name__ == '__main__':
  itemName = None
  itemDescription = None
  price = None

  form = cgi.FieldStorage()

  alphabet = re.compile(r"^([^\W_]+)$")
  if (form.has_key('itemName')):
    matches = alphabet.search(form['itemName'])
    if (matches):
      itemName = form['itemName']

  if (form.has_key('itemDescription')):
    matches = alphabet.search(form['itemDescription'])
    if (matches):
      itemDescription = form['itemDescription']

  currency = re.compile(r"^(\d{0,3}\.\d{2})$")
  if (form.has_key('price')):
    matches = alphabet.search(form['price'])
    if (matches):
      price = form['price']

  if (not itemName and not itemDescription and not price):
    print header('Insert new menu item')
    print footer()
    sys.exit()

  print header('Inserting item...')
  try:
    conn = menu.connect()

    # create a Cursor object
    curs = conn.cursor()

    foodsql = """INSERT INTO menu.food (name, description)
      VALUES (?, ?)"""

    pricesql = """INSERT INTO menu.prices (id, price)
      VALUES (IDENTITY_VAL_LOCAL(), ?)"""

    # issue the SQL statements
    curs.execute(foodsql, (itemName, itemDescription))
    curs.execute(pricesql, (price))

    # commit the transaction
    conn.commit()

    print "Successfully inserted new menu item."

  except Exception, e:
    print "Failed to insert the requested menu item: %s." % e

  print footer()
